> ## Documentation Index
> Fetch the complete documentation index at: https://holder.docs.fiskil.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List consents

> List consents for a team

<Warning>
  This API is **not available yet**. We have published the documentation to gather feedback on the proposed API specification.
</Warning>


## OpenAPI

````yaml /openapi/platform.yaml get /consents
openapi: 3.0.1
info:
  title: DH Console API
  description: Data Provider SaaS platform
  contact: {}
  version: '1.0'
servers:
  - url: https://api.fiskil.com/v1/data-provider/cdr
    description: Fiskil Data Provider Platform API
security:
  - bearerAuth: []
paths:
  /consents:
    get:
      tags:
        - Consents
      summary: List consents
      description: List consents for a team
      parameters:
        - name: status
          in: query
          description: Comma separated list of status filters
          schema:
            type: string
            example: active,revoked
        - name: customer_id
          in: query
          description: >-
            Filter consents to those authorized by the customer with the given
            ID as returned by your customer search API
          schema:
            type: string
        - name: app_id
          in: query
          description: >-
            Filter consents to those created by the application with the given
            ID returned in previous results or found in the Fiskil App Directory
          schema:
            type: string
        - name: updated_after
          in: query
          description: >-
            Filter consents to those that have been added or updated since the
            given RFC3339 timestamp. Can be used to perform incremental
            synchronisations.
          schema:
            type: string
            example: '2026-03-20T00:00:00+11:00'
        - name: instance
          in: query
          description: Name of the Data Provider instance to filter consents to
          schema:
            type: string
            example: Production
            enum:
              - Production
              - Staging
        - name: cursor
          in: query
          description: Page cursor from previous response for pagination
          schema:
            type: string
        - name: page_size
          in: query
          description: Number of consents to return per page
          schema:
            type: integer
      responses:
        '200':
          description: Consents listed successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/consent.ListConsentsResponse'
        '400':
          description: Bad request - validation error
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
components:
  schemas:
    consent.ListConsentsResponse:
      type: object
      properties:
        cursor:
          type: string
          description: >-
            Cursor that can be used in the `cursor` query parameter for
            pagination. Returned only when there are more consents.
          example: 982407f136df8e20140534999eff7b7f
        consents:
          type: array
          items:
            $ref: '#/components/schemas/product.ListConsentsResponseConsent'
          description: >-
            A list of up to `page_size` consents sorted in descending order of
            creation.
        total_pages:
          type: integer
          description: total number of result pages for the query
          example: 2
      required:
        - cursor
        - consents
    product.ListConsentsResponseConsent:
      type: object
      properties:
        consent_id:
          type: string
          description: Unique ID for the consent
          example: 2903cbfa-7573-4eac-bef4-669d002f7dba
        status:
          type: string
          description: Active status of the consent
          enum:
            - active
            - expired
            - revoked
          example: active
        instance_name:
          type: string
          description: >-
            Name of the Data Provider instance that this consent was created
            with
          example: Production
          enum:
            - Staging
            - Production
        app_id:
          type: string
          description: Unique ID for the application the requested the data
          example: 07c79a13-8100-4736-bb0c-5ccad62054b0
        app_name:
          type: string
          description: Human-friendly name of the application that requested the data
          example: My Budget Helper
        customer_id:
          type: string
          description: >-
            Unique ID of the customer that authorized the consent as returned by
            your Customer Search endpoint
          example: 6db36d28-16d4-4fac-b4d8-518cae271625
        scopes:
          type: array
          description: List of scopes authorized by the customer
          items:
            type: string
          example:
            - openid
            - profile
            - bank:accounts:basic.read
        account_ids:
          type: array
          description: >-
            List of IDs of accounts that were authorized by the customer as
            returned by your List Accounts For Sharing API
          items:
            type: string
          example:
            - 1b87acb6-315b-40aa-a3cb-7889762db04d
            - 9f9ac2a3-7b7f-49ba-b64b-84e324f991ac
        granted_at:
          type: string
          description: >-
            RFC3339 Datetime of when the authorization was granted by the
            customer
          example: '2026-01-23T04:00:00.000Z'
        expires_at:
          type: string
          description: RFC3339 Datetime of when the authorization expires
          example: '2027-01-23T04:00:00.000Z'
        updated_at:
          type: string
          description: >-
            RFC3339 Datetime of when the authorization was last updated
            (extended, changed accounts, modified scopes) by the customer
          example: '2027-06-22T04:00:00.000Z'
        revoked_at:
          type: string
          description: >-
            RFC3339 Datetime of when the authorization was revoked by the
            customer
          example: '2027-08-13T04:00:00.000Z'
      required:
        - consent_id
        - status
        - app_id
        - app_name
        - customer_id
        - scopes
        - account_ids
        - granted_at
        - expires_at
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        OAuth 2.0 access token from the [token
        endpoint](https://api.fiskil.com/v1/token).

        See [Platform API authentication](/platform-api/authentication).

````